Bug 112486 - libesmtp - missing symlink in /usr/lib
libesmtp - missing symlink in /usr/lib
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libesmtp (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-20 15:54 EST by Jonathan Underwood
Modified: 2014-03-16 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-21 01:31:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2003-12-20 15:54:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
There is a missing symlink in /usr/lib which prevents linking against
libesmtp.

Fixed with the following in /usr/lib
ln -s libesmtp.so.5.1.2 libesmtp.so



Version-Release number of selected component (if applicable):
libesmtp-1.0.1-1 (rpm)

How reproducible:
Always

Steps to Reproduce:
1.gcc -lesmtp
2.
3.
    

Actual Results:  Linking fails (ld error)

Expected Results:  linking should work

Additional info:
Comment 1 Kaj J. Niemi 2003-12-20 21:27:47 EST
You sure you installed libesmtp-devel? libesmtp.so is provided by it.

% rpm -qa libesmtp\*
libesmtp-1.0.1-1

% gcc -lesmtp
/usr/bin/ld: cannot find -lesmtp
collect2: ld returned 1 exit status

% sudo rpm -ivh libesmtp-devel-1.0.1-1.i386.rpm

% rpm -qa libesmtp\*
libesmtp-1.0.1-1
libesmtp-devel-1.0.1-1

% gcc -lesmtp
/usr/lib/gcc-lib/i386-redhat-linux/3.3.2/../../../crt1.o(.text+0x18):
In function `_start':
: undefined reference to `main'
collect2: ld returned 1 exit status

% rpm -qlpv libesmtp-devel-1.0.1-1.i386.rpm
-rw-r--r--    1 root    root             3654 Oct  3 23:53
/usr/include/auth-client.h
-rw-r--r--    1 root    root             2210 Oct  3 23:53
/usr/include/auth-plugin.h
-rw-r--r--    1 root    root            10627 Oct  3 23:53
/usr/include/libesmtp.h
-rw-r--r--    1 root    root            83622 Oct  3 23:53
/usr/lib/libesmtp.a
lrwxrwxrwx    1 root    root               17 Oct  3 23:53
/usr/lib/libesmtp.so -> libesmtp.so.5.1.2


Note You need to log in before you can comment on or make changes to this bug.